Bug 88787 - Inconsistent partition table error on update from RH8 to RH9
Inconsistent partition table error on update from RH8 to RH9
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: parted (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-14 01:51 EDT by Kim Lux
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-03 11:54:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kim Lux 2003-04-14 01:51:05 EDT
From Bugzilla Helper:User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)Description of problem:I'm upgrading from RH8, which has run very well for the last 6 months, toRH9.Before I reach the package upgrade options screen (Ie after selecting themouse and languages) I receive the following message on a warning window:(not quite verbatum)<paraphrase begins>The partition table on /dev/hda is inconsistent.The probable cause of this is Linux detected the BIOS geometry for/dev/hda incorrectly.  GNU Parted suspects the real geometry should be119159/16/63 not 7476/255/63.  You should check your BIOS first.You can inform Linux by adding the parameter hda=119150,16,63 to thecommand line.  (Or you can ignore it and fix it later.)  <paraphrase ends>So, I rebooted the computer without doing anything and rebooted into theBIOS manager.  Here I had the BIOS detect the hard drive geometry, whereit found it to be 29437/16 heads/255 sectors. We've now got 3 different geometries:  What Linux is installed with ie7476/255/63, what GNU Parted thinks it is ie 119159/16/63 and what theBIOS says it is ie 29437/16/255.Version-Release number of selected component (if applicable):From RH9 CDROMHow reproducible:AlwaysSteps to Reproduce:1. Reboot and run RH9 disk 1 from CDROM	2. Select english, english USA and 2 button mouse for upgrading	3.    Actual Results:  The error window mentioned above appears.Expected Results:  Dunno.  Has my partition table been wrong all along ?  Is the BIOS finding the drive parameters correctly ?  Additional info:The hard drive is a 60GB Maxtor.   The processor is an AMD 2GHz Athalon.  I've forgotten what the brand of the motherboard is. The system has worked very well for the last 6 months.   No lockups, no crashes, etc.  I sometimes get a complaint about hard drive dma issues in dmesg.Let me know if you need to see more.
Comment 1 Kim Lux 2003-04-14 14:52:51 EDT
I forgot to mention that the filesystem for /dev/hda is ext3.  I get this when run in RH8:  # /sbin/hdparm -g /dev/hda /dev/hda:  geometry     = 7476/255/63, sectors = 120103200, start = 0   
Comment 2 Kim Lux 2003-04-14 14:52:53 EDT
I forgot to mention that the filesystem for /dev/hda is ext3.  I get this when run in RH8:  # /sbin/hdparm -g /dev/hda /dev/hda:  geometry     = 7476/255/63, sectors = 120103200, start = 0   
Comment 3 Jeremy Katz 2004-06-25 14:59:51 EDT
Does this still happen with newer releases?
Comment 4 Kim Lux 2004-11-03 11:54:51 EST
I no longer run this installation.  I can't provide more information.  

Note You need to log in before you can comment on or make changes to this bug.